%computes the backscatter coefficient (vector) for each layer,n, using radiative transfer
%tocompute the total backscatter: sum(ss)
%n: number of layers
%vol: volume scattering coefficient
%surf: surface scattering coefficient
%loss: loss coefficient
%trans: transmissivity of layer surface

function ss=rt(n,vol,surf,loss,trans)

ss(1)=surf(1)+(trans(1).^2.*vol(1));
for idx=2:n
ss(idx)=prod(1./(loss(1:idx-1)).^2) .*prod(trans(1:idx-1).^2) .*(surf(idx)+trans(idx).^2 .*vol(idx));
end
