function [tids,tpower]=waveform(n,bcks,d,e)
% beregner energi-tilbagekastet (normaliseret) som funk. af tid (sec. x 10-9)
% n antal lag
% bcks tilbagespredningskoefficient for hvert lag bcks(n)
% d lagtykkelse d(n)
% e dielektriske konst. i lag e(n)

c=3e8; %lysets hastighed i tomrum [m/s]
R0=800e3; %satellit hjde [m]
Re=6371e3; %Jordens radius [m]
tau=3.125e-9; %pulslngden [s]

u=(c./sqrt(real(e))); %lysets hastighed i lag

dt=d./u; %lysets gennemtrngningstid

%this is the area spreading function for a pulse-limited (spaceborne) altimeter
%and it must be modified to simulate the beam width limited (airborne) altimeter.

for nn=1:n %lag
 for tt=1:1000
   t=tt.*1e-11;
  if t<=tau
   area(nn,tt)=(u(nn).*t.*R0)./(1.0+(R0./Re));
  else
   area(nn,tt)=(u(nn).*t.*R0)./(1.0+(R0./Re))-(u(nn).*(t-tau).*R0)./(1.0+(R0./Re));
   %area(nn,tt)=0;
  end
 end %slutter tidlkke
end %slutter laglkke

power(1:n,1:1000)=0; %matrix for alle lag og 1000 tidsenheder

tid=dt(1);
starttid=0;
for nn=1:n %lag
 if nn>=2
  tid=sum(dt(1:nn-1));
 end

 starttid=floor(tid./1e-11);
 for ii=1:1000 %tidsbin
  power(nn,starttid+ii)=bcks(nn).*area(nn,ii);
 end
end

for t=1:1000
 tpower(t)=sum(power(:,t));
 tids(t)=t;
end

end
